org.eclipse.gef4.zest.core.widgets

## Class FigureSubgraph.SubgraphFigrueListener

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.FigureSubgraph.SubgraphFigrueListener

All Implemented Interfaces:
  org.eclipse.draw2d.FigureListener

Enclosing class:
  FigureSubgraph

    protected class FigureSubgraph.SubgraphFigrueListener
    extends java.lang.Object
    implements org.eclipse.draw2d.FigureListener

Listens to changes in this subgraph's figure and fires proper event in its layout context.

### Constructor Summary

Constructors
`protected` `FigureSubgraph.SubgraphFigrueListener()`

### Method Summary

Methods
`void` `figureMoved(org.eclipse.draw2d.IFigure source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FigureSubgraph.SubgraphFigrueListener

    protected FigureSubgraph.SubgraphFigrueListener()

### Method Detail

#### figureMoved

    public void figureMoved(org.eclipse.draw2d.IFigure source)

Specified by:
  `figureMoved` in interface `org.eclipse.draw2d.FigureListener`